Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
1371 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  Problème de dépendances sous Ubuntu

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Problème de dépendances sous Ubuntu

n°1257992
ANViL
yep...definitely ♫
Posté le 26-12-2010 à 12:19:48  profilanswer
 

Hello all  :hello:  
 
Je suis actuellement confronté à un problème de dépendances cassées sous Ubuntu Lucid Lynx  :(  
 

  • Lorsque je cherche à installer OpenJDK (Java), je fais face à plusieurs erreurs de dépendances
  • Je tiens à préciser que j'ai déjà procédé à des apt-get clean / purge / update pour essayer de résoudre le problème .... sans succès malheureusement.


Voici ce que j'ai actuellement :
 

Citation :


tentative d'installation openjdk-6-jdk
 
The following packages have unmet dependencies:
  openjdk-6-jdk: Depends: openjdk-6-jre (>= 6b20-1.9.2-0ubuntu1~10.04.1) but it is not going to be installed
E: Broken packages


 

Citation :


Ok .... tentative d'installation openjdk-6-jre
 
The following packages have unmet dependencies:
  openjdk-6-jre: Depends: openjdk-6-jre-headless (>= 6b20-1.9.2-0ubuntu1~10.04.1) but it is not going to be installed
E: Broken packages


 
 

Citation :


Ok -_- ... tentative d'installation openjdk-6-jre-headless
 
The following packages have unmet dependencies:
  openjdk-6-jre-headless: Depends: tzdata-java but it is not going to be installed
E: Broken packages


 

Citation :


Ok :/ ....  tentative d'install de tzdata-java
 
The following packages have unmet dependencies:
  tzdata-java: Depends: tzdata (= 2010i-1) but 2010k-0ubuntu0.10.04 is to be installed
E: Broken packages


 
 
Je commence à être désespéré : pourquoi ces foutues dépendances posent tant de problèmes ?! [:transparency]  (je n'ai pourtant rien installé ou modifié au cours des derniers mois .... et là, la première installation que je tente depuis longtemps échoue lamentablement  :(  )
 


---------------
Easy Ridin'  ⎝⏠⏝⏠⎠  
mood
Publicité
Posté le 26-12-2010 à 12:19:48  profilanswer
 

n°1258048
BloodyCarn​age
Posté le 27-12-2010 à 11:25:19  profilanswer
 

T'as un mélange de système pas à jour et de dépôt manquant.
 
tzdata 2010k-0ubuntu0.10.04 est une version du dépôt proposed, mais c'est une vieille version. Et tzdata 2010i-1 est une version encore plus ancienne mais c'est la version du dépôt main.  
tzdata-java vient du dépôt main et dépend donc de tzdata qui s'y trouve (la version exacte, pas une version égale ou supérieure).
Toi, tu as une version supérieure venant de proposed que, vue qu'elle n'est pas à jour, j'imagine que tu as viré de ta liste de dépôts il y a plusieurs mois.
apt-get est incapable de gérer automatiquement un conflit nécessitant un downgrade (qu'il faudrait faire pour repasser sur tzdata 2010i-1). Par ailleurs, ce n'est certainement pas le seul package qui est dans ce cas sur ta machine.
Soit tu remets le dépôt prorosed dans ta liste, soit tu utilises aptitude qui gère correctement les downgrades (tant que c'est pas trop compliqué), soit tu downgrade manuellement avec dpkg.

n°1258100
ANViL
yep...definitely ♫
Posté le 27-12-2010 à 20:49:26  profilanswer
 

Merci pour ta réponse !
 
J'ai bien saisis ce que tu as expliqué, mais ce que je n'explique pas moi, c'est pourquoi je suis actuellement dans ce cas de figure (les dépôts activés sont ceux d'origine, hormis un dépôt partner que j'avais coché en supplément parce que j'en avais besoin).
 
J'ai procédé au downgrade du package tzdata, ça a effectivement réglé le problème (  :sol:  ) et j'ai procéder à l'install de l'OpenJDK.
 
Comment puis-je vérifier quels sont les packages non alignés avec le repository main ?
 


---------------
Easy Ridin'  ⎝⏠⏝⏠⎠  

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  Problème de dépendances sous Ubuntu

 

Sujets relatifs
problème X-liteProbleme de firewall et serveur openvpn
Problème de console framebuffer après compilation du noyau[Linux] Problème lecture de film dual screen
Ubuntu 32 ou 64-bits (I5 650 + 4Go Ram)Activer carte réseau sans fil sous Ubuntu
[Ubuntu] Configuration Pure-FTPD [Résolu]Comment supprimer ubuntu de mon disque dur?
(Debian ) probleme avec multi ipProblème de lilo en 9999999999..... [Résolu]
Plus de sujets relatifs à : Problème de dépendances sous Ubuntu


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR